org.apache.ivy.ant

## Class IvyAntSettings.Credentials

- java.lang.Object
- - org.apache.ivy.ant.IvyAntSettings.Credentials

Enclosing class:
  IvyAntSettings

    public static class IvyAntSettings.Credentials
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`IvyAntSettings.Credentials()`

### Method Summary

Methods
`java.lang.String` `getHost()`
`java.lang.String` `getPasswd()`
`java.lang.String` `getRealm()`
`java.lang.String` `getUsername()`
`void` `setHost(java.lang.String host)`
`void` `setPasswd(java.lang.String passwd)`
`void` `setRealm(java.lang.String realm)`
`void` `setUsername(java.lang.String userName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IvyAntSettings.Credentials

    public IvyAntSettings.Credentials()

### Method Detail

#### getPasswd

    public java.lang.String getPasswd()

#### setPasswd

    public void setPasswd(java.lang.String passwd)

#### getRealm

    public java.lang.String getRealm()

#### setRealm

    public void setRealm(java.lang.String realm)

#### getHost

    public java.lang.String getHost()

#### setHost

    public void setHost(java.lang.String host)

#### getUsername

    public java.lang.String getUsername()

#### setUsername

    public void setUsername(java.lang.String userName)